import 'package:json_annotation/json_annotation.dart';

part 'talkSettings.g.dart';

@JsonSerializable()
class TalkSettings {
  bool sortFavoritesToTop;
  bool sortUnreadToTop;
  Map<String, String> drafts;

  TalkSettings({required this.sortFavoritesToTop, required this.sortUnreadToTop, required this.drafts});

  factory TalkSettings.fromJson(Map<String, dynamic> json) => _$TalkSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$TalkSettingsToJson(this);
}
